post
https://sandboxapi.legendtrading.com/v2/app/kyc/individual/qa
Save the user questionnaire answers. Please note, there will be TWO set of answers based on user's country.提交用户的问卷调查答案。
Due to the limitation, Try It! button won't work for this endpoint, please use the following cURL to see actual responses.
接口详情
- 功能摘要: 提交问卷答案
业务规则
- 答案分组:系统要求提交两组答案集合,对应不同国家/地区的问卷版本。
- 测试说明:受功能限制,此接口的
Try It!按钮不可用。请使用下方提供的 cURL 命令查看实际响应。
curl --location 'https://sandboxapi.legendtrading.com/v2/app/kyc/individual/qa' \
--header 'Accept: application/json' \
--header 'User-Ip: 12.34.56.78' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxx' \
--data '{
"uid": "asd123sdfas12",
"answers": [
[
{
"short_term": true,
"long_term": false,
"active_trade": false,
"remittance": true
}
],
[
{
"USD": true,
"EUR": false,
"SGD": false,
"GBP": false,
"AUD": false,
"CAD": false,
"CHF": false
}
],
[
{
"0_30000": true,
"30001_70000": false,
"70001_100000": false,
"100001_300000": false,
"300001_500000": false,
"500001_1000000": false,
"1000001_plus": false
}
],
[
{
"AUD": true,
"CAD": false,
"CHF": false,
"EUR": false,
"GBP": false,
"SGD": false,
"USD": false
},
{
"1_5_transactions": true,
"21_50_transactions": false,
"51_70_transactions": false,
"6_20_transactions": false,
"71_100_transactions": false,
"more_than_100_transactions": false
},
{
"0_3000": true,
"100001_300000": false,
"10001_30000": false,
"1500001_plus": false,
"300001_700000": false,
"30001_70000": false,
"3001_10000": false,
"700001_1500000": false,
"70001_100000": false
}
],
[
{
"business": true,
"employment": false,
"inheritance": false,
"securities": false,
"compensation": false,
"sale_property": false,
"household_wealth": false,
"credit_loan": false
}
],
[
{
"employment": true,
"investment": false,
"retirement": false,
"social_security": false,
"saving": false,
"family_support": false
}
],
[
{
"employed": false,
"business_owner": true,
"not_employed": false,
"student": false,
"retired": false
},
{
"aerospace_defense_military": true,
"agriculture_forestry": false,
"architecture_engineering": false,
"art_artefacts_culture_antiquities_dealers": false,
"automotive": false,
"banking_financial_services": false,
"biotechnology": false,
"casinos_gaming": false,
"charities_non_profit_organizations": false,
"chemicals": false,
"construction_real_estate": false,
"consumer_goods_retail": false,
"education": false,
"energy_utilities": false,
"entertainment_media": false,
"food_beverage": false,
"fund_management_investment_services": false,
"government_public_sector": false,
"healthcare_pharmaceuticals": false,
"hospitality_tourism": false,
"human_resources_recruitment": false,
"information_technology_services": false,
"insurance": false,
"internet_software": false,
"maintenance_cleaning_services": false,
"manufacturing": false,
"marketing_advertising": false,
"mining_metals": false,
"money_services_business": false,
"precious_metals_stones_dealers": false,
"professional_services_legal_accounting_consulting": false,
"property_management": false,
"renewable_energy_waste_environment_management": false,
"research_development": false,
"security_investigation_services": false,
"sports_recreation": false,
"telecommunications": false,
"textile_apparel": false,
"transportation_logistics": false,
"virtual_asset_service_providers": false,
"wholesale_distribution": false
}
],
[
{
"no": true,
"yes": false
}
]
]
}'curl --location 'https://sandboxapi.legendtrading.com/v2/app/kyc/individual/qa' \
--header 'Accept: application/json' \
--header 'User-Ip: 12.34.56.78' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxx' \
--data '{
"uid": "asd123sdfas12",
"answers": [
[
{
"short_term": true,
"long_term": false,
"active_trade": true,
"remittance": false,
"other": "HelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHello"
}
],
[
{
"inheritance": false,
"investments": true,
"profit": false,
"salary": true,
"other": "WorldHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHello"
}
],
[
{
"business": true,
"employment": false,
"inheritance": true,
"securities": false,
"compensation": true,
"sale_property": false,
"household_wealth": true,
"other": "111HiHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHelloHello"
}
],
[
{
"employment": "business_owner"
}
]
]
}'重要提示
若用户在完成问卷调查后,返回个人信息(PI)接口修改了 country_iso2_code 字段,则必须重新进入QA页面并完成问卷调查。此流程确保题目组与用户当前所选国家/地区的要求始终保持一致。
Non-EEA 问题中的other,如果填写,必须大于等于15个字符。other和其他选项可以同时填写,如填写了other,其他选项允许为空。否则必选。
